dvb_file Struct Reference

Describes an entire DVB file opened. More...

`#include <dvb-file.h>`

## Data Fields

char * | fname
int | n_entries
struct dvb_entry * | first_entry

## Detailed Description

Describes an entire DVB file opened.

Parameters

  fname | name of the file
  n_entries | number of the entries read
  first_entry | entry for the first entry. NULL if the file is empty.

Examples
  dvb-format-convert.c, dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 135 of file dvb-file.h.

## Field Documentation

## first_entry

struct dvb_entry* dvb_file::first_entry

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 138 of file dvb-file.h.

Referenced by dvb_file_free().

## fname

char* dvb_file::fname

Definition at line 136 of file dvb-file.h.

## n_entries

int dvb_file::n_entries

Definition at line 137 of file dvb-file.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/dvb-file.h